Subject: Ticket Assigned - Article Feedback - I paid for an order using My Credit balance and then cancelled the order. What happens to my balance?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 12 Mar 2022 06:36:29 +0000

Hi Shahad Albelihed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I paid for an order using My Credit balance and then cancelled the order. What happens to my balance? Feedback for:  I paid for an order using My Credit balance and then cancelled the order. What happens to my balance? Where's my credit? I return my order using my credit and i didn't got my cash back https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4010141